Name:           libsrtp
Version:        2.6.0
Release:        1
Summary:        Library for SRTP (Secure Realtime Transport Protocol)
License:        BSD
URL:            https://github.com/cisco/libsrtp
Source0:        https://github.com/cisco/libsrtp/archive/v%{version}.tar.gz

BuildRequires:  gcc

%description
This package provides an implementation of the Secure Real-time Transport Protocol (SRTP),
the Universal Security Transform (UST), and a supporting cryptographic kernel.
The SRTP API is documented in include/srtp.h, and the library is in libsrtp2.a (after compilation).

%package devel
Summary:        Development package for %{name}
Requires:       %{name} = %{version}-%{release} pkgconfig

%description devel
This package provides libraries and header files that used for
development of %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build shared_library CFLAGS="%{optflags} -fPIC" 

%install
%make_install
%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc CHANGES README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/srtp2/
%{_libdir}/pkgconfig/libsrtp2.pc
%{_libdir}/*.so

%changelog
* Tue Mar 19 2024 liyanan <liyanan61@h-partners.comm> - 2.6.0-1
- Update to 2.6.0

* Wed Jun 07 2023 wangkai <13474090681@163.com> - 2.5.0-1
- Update to 2.5.0

* Fri Jan 14 2022 wangkai <wangkai385@huawei.com> - 2.4.2-1
- Update to 2.4.2

* Wed Oct 23 2019 huzhiyu <huzhiyu1@huawei.com> - 1.5.4-10
- Package init
